Bug 1281906 - [gtk3] [wayland] Windows have broken size and headerbar drawn over content
[gtk3] [wayland] Windows have broken size and headerbar drawn over content
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: WaylandRelated
  Show dependency treegraph
 
Reported: 2015-11-13 13:56 EST by Christian Stadelmann
Modified: 2015-12-24 19:25 EST (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-5.0.3.2-10.fc23 libreoffice-5.0.4.2-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-24 19:25:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
some screenshots of libreoffice with Gtk3 running on wayland (470.97 KB, application/x-xz)
2015-11-13 13:56 EST, Christian Stadelmann
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 757690 None None None Never

  None (edit)
Description Christian Stadelmann 2015-11-13 13:56:11 EST
Created attachment 1093789 [details]
some screenshots of libreoffice with Gtk3 running on wayland

Description of problem:
With libreoffice using Gtk3 on wayland (wayland Gtk3 backend) I am getting broken windows (see attached screenshots).
The main window draws its GtkHeaderBar over the OOoFixed widget so that the menu bar is not visible. It still exists and can be activated e.g. by keyboard.
Window contents are drawn ca. 10px outside of the window behind the GtkHeaderBar.

Version-Release number of selected component (if applicable):
libreoffice-gtk3-5.0.3.2-4.fc23.x86_64
gtk3-3.18.2-1.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1. open any window

Additional info:
This issue is specific to wayland, doesn't happen on X. Doesn't happen on wayland with GDK_BACKEND=x11 either.
The Eclipse/SWT guys ran into the same issue, see https://bugzilla.redhat.com/show_bug.cgi?id=1255007 and (upstream Gtk3) https://bugzilla.gnome.org/show_bug.cgi?id=757690
Comment 1 Caolan McNamara 2015-11-20 11:23:13 EST
I'm sure I fixed this. Maybe I failed to back port it.
Comment 2 Caolan McNamara 2015-11-30 09:36:03 EST
toolbar placement will be fixed in >= 5.0.3.2-10.fc23
Comment 3 Fedora Update System 2015-12-01 06:51:47 EST
libreoffice-5.0.3.2-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8cdbd2bb12
Comment 4 Fedora Update System 2015-12-01 17:30:17 EST
libreoffice-5.0.3.2-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libreoffice'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8cdbd2bb12
Comment 5 Christian Stadelmann 2015-12-02 06:28:20 EST
This issue is now fixed for the top and left edges, but it is still present for right and bottom edge. Not only in the main window, but for any other windows too(e.g. document recovery dialog, preferences dialog, …).
Comment 6 Fedora Update System 2015-12-03 15:20:01 EST
libreoffice-5.0.3.2-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Christian Stadelmann 2015-12-03 18:14:44 EST
Issue is still partially present, see comment #5
Comment 8 Christian Stadelmann 2015-12-07 20:49:43 EST
Fixed by 5.0.3.2-11.fc23. Thank you!
Comment 9 Christian Stadelmann 2015-12-14 07:52:55 EST
This issue is still present in some windows, e.g. in the webpage wizard.

Steps to reproduce:
1. open libreoffice writer (gtk3; on wayland)
2. in main menu open File → Wizards → Web Page

This issue seems to affect other wizard windows too.
Comment 10 Fedora Update System 2015-12-20 15:46:12 EST
libreoffice-5.0.4.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-98c92e275f
Comment 11 Fedora Update System 2015-12-22 19:11:29 EST
libreoffice-5.0.4.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-98c92e275f
Comment 12 Fedora Update System 2015-12-24 19:25:09 EST
libreoffice-5.0.4.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.